Skip to content
This is a new version of the Kivra Developer Docs. Report issues or share feedback at avsandare.support@kivra.se. The previous version can be found here.

Company information

GET
/v3/partner/company/{companyKey}
curl --request GET \
--url https://sender.api.kivra.com/v3/partner/company/156077433683911cdca5fd4563bded979572454cb9 \
--header 'Authorization: Bearer <token>'

Get detailed information for a single company.

companyKey
required
CompanyKey

The key for a company

string
/^[0-9]{10}[a-f0-9]{32}$/
Example
156077433683911cdca5fd4563bded979572454cb9
Media typeapplication/json
FullCompany

A company object.

object
key
required
CompanyKey

The key for a company

string
/^[0-9]{10}[a-f0-9]{32}$/
scanning_address
ScanningAddress

Postal address for receiving physical mail as scanned content in Kivra.

object
name
required
CompanyName

The name of a company

string
street
required

A special “street” that allows the scanning facility to send to the correct company.

It’s on the format “Kivra: ”

string
postal_code
required

The special postal code that goes to Kivra’s scanning facility

string
Allowed values: 106 31
city
required

The “city” for Kivra’s scanning facility

string
Allowed values: Stockholm
country
required

The country for Kivra’s scanning facility

string
Allowed values: SE
scanning_fallback_address
ScanningFallbackAddress

If a mailpiece cannot be scanned, it will be forwarded to this address instead.

object
name
required

Name of the recipient (a company or person).

string
street
required

Name of the street, including street number.

string
postal_code
required

Postal code.

string
city
required

Name of the city.

string
country
required

Name of the country.

string
care_of
required

Address care of (c/o).

string
created_at

When the company started to onboard.

string format: date-time
email
One of:
IncomingEmail

Email address for receiving emails as content

string
/^[a-tv-zA-TV-Z0-9]{9}@(sandbox\.)?kivramail.com$/
name
CompanyName

The name of a company

string
type
CompanyType

The company’s/organisation’s type

This is currently based on the registry holding the signatory information. Thus company really means that Bolagsverket is the registry and includes Ekonomiska föreningar as well. For riksidrottsförening it is Riksindrottsförbundet.

string
Allowed values: company riksidrottsförening
services
AllServices

The status of each Kivra Business and Kivra Business Plus service for the company.

object
email

Indicates if the Kivra email service is active

boolean
scanning

Indicates if the scanned mail service is active

boolean
interpreter

Used to indicate if the interpreter service is active. Now it is always false.

boolean
kivra

Indicates that the Kivra digital mail service is active (always true)

boolean
minameddelanden

Indicates if the Kivra public authority mail service is active.

boolean
vat_number
VatNumber

A Swedish VAT number (“momsregistreringsnummer”).

string
/^SE[0-9]{10}01$/
Example
{
"key": "156077433683911cdca5fd4563bded979572454cb9",
"scanning_address": {
"name": "Cornelias Café AB",
"street": "Kivra: 556000-4755",
"postal_code": "106 31",
"city": "Stockholm",
"country": "SE"
},
"scanning_fallback_address": {
"name": "Cornelias Café AB",
"street": "Klara Norra kyrkogata 33",
"postal_code": "11122",
"city": "Stockholm",
"country": "Sverige",
"care_of": ""
},
"created_at": "2019-02-26T14:47:26Z",
"email": "xxcsn2psy@kivramail.com",
"name": "Cornelias Café AB",
"type": "company",
"services": {
"email": false,
"scanning": false,
"interpreter": false,
"kivra": true,
"minameddelanden": true
},
"vat_number": "SE556000475501"
}